Copy PageExecutepost https://example.com/autotest/workspaces/{WorkspaceId}/testplan/executeExecutes a branch or the entire Test Plan of the specified workspace. If Path is not specified, the entire test plan is executed.Path ParamsWorkspaceIdintegerrequired[Int32] The database ID of the workspace to execute. This is obtained as return value of CreateWorkspace (PUT /workspaces), or can be retrieved by inspecting the result of ListWorkspaces (GET /workspaces).Query ParamsNodeIdinteger[Int32 (nullable)] (Optional) The logical ID of the node to execute. Inner nodes (Groups and test cases) are specified with positive database ID, task leaf nodes are specified with negative database ID. Omit to use Path instead.Pathstring[String] (Optional) The slash-separated path to the branch to execute. The path must reference a concrete group or task. Virtual nodes that are created from a test case reference is not supported. Leave this parameter unspecified to execute the entire workspace.TestplanIdinteger[Int32 (nullable)] (Optional) The ID of the test plan to execute, or null to execute the repository. This is used in conjunction with Path to determine which test plan the path belongs to, and can be omitted or specified to null if executing by NodeId, or in repository.Response 200OKUpdated over 1 year ago Update Workspace Login PropertyExecuteDid this page help you?YesNo